% maskFigureType types
%   1=2^0 :   ln(C(r))           vs  ln(r)
%   2=2^1 :   d ln(C(r))/d lnr   vs ln(r)    (i.e. this is the SLOPE of the
%   first graph type
function [ rgEpsilon, rgDEstimatedCofEpsilon ] = DetermineAndDisplayCorrelationDimFromSynthStructOnExistFig(ctStructureDim, ctEmbeddingDimension, ctDesiredDistances, strFigureName, maskFigureType, ctSlopeEstimationGridpoints)
    rUnnormalizedDistances = SelectRandomDistancesFromNDimensionalStructureInSampleSpace(ctStructureDim, ctEmbeddingDimension, ctDesiredDistances);
  
    [ rgEpsilon, rgDEstimatedCofEpsilon ] = DetermineCofEpsilonFromDistances(rUnnormalizedDistances, max(rUnnormalizedDistances));
    % maskFigureType types
    %   1=2^0 :   ln(C(r))           vs  ln(r)
    %   2=2^1 :   d ln(C(r))/d lnr   vs ln(r)    (i.e. this is the SLOPE of the first graph type
    if bitand(maskFigureType,2)
        DisplayDerivativeOfCofEpsilonOnExistingFigure(rgEpsilon, rgDEstimatedCofEpsilon, ctSlopeEstimationGridpoints);
    end
    if bitand(maskFigureType,1)
        scatter(log(rgEpsilon), log(rgDEstimatedCofEpsilon));
    end
    title(strFigureName,'FontSize', 12);
end