function DisplayDerivativeOfCofEpsilonOnExistingFigure(rgEpsilon, rgDEstimatedCofEpsilon, ctSlopeEstimationGridpoints)
    rgLogEpsilon = log(rgEpsilon);              % precalculated for efficiency (used many times below)
    rgLogEpsilonUniformGrid=linspace(min(rgLogEpsilon),max(rgLogEpsilon),ctSlopeEstimationGridpoints);  
    rgLogEstimatedCofEpsilonOnUniformGrid=interp1(rgLogEpsilon, log(rgDEstimatedCofEpsilon),rgLogEpsilonUniformGrid);
    scatter(rgLogEpsilonUniformGrid, [ diff(rgLogEstimatedCofEpsilonOnUniformGrid) ./ diff(rgLogEpsilonUniformGrid) , 0]);
end